.TH tftpd "1"
.SH NAME
\fBtftpd\fP \- Cobbler tftpd service
.SH SYNOPSIS
.IP
tftpd [\-h,\-\-help] [\-v,\-\-verbose] [\-d,\-\-debug] [\-\-version]
.IP
[\-\-port=<port>(69)]
.SH DESCRIPTION
.PP
A python, cobbler integrated TFTP server.  It is suitable to call via
xinetd, or as a stand\-alone daemon.  If called via xinetd, it will run,
handling requests, until it has been idle for at least 30 seconds, and
will then exit.
.PP
This server queries cobbler for information about hosts that make requests,
and will instantiate template files from the materialized hosts'
\&'fetchable_files' attribute.
.PP
AUTHOR
.IP
Douglas Kilpatrick <kilpatds@oppositelock.org>
.PP
LICENSE
.IP
This script is in the public domain, free from copyrights or restrictions
.PP
VERSION
.IP
0.5
.PP
TODO
.IP
Requirement: retransmit
Requirement: Ignore stale retrainsmits
Security:    only return files that are o+r
Security:    support hosts.allow/deny
Security:    Make absolute path support optional, and default off
Feature:     support blksize2 (blksize, limited to powers of 2)
Feature:     support utimeout (timeout, in ms)
.SH OPTIONS
.TP
\fB\-\-version\fR
show program's version number and exit
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-v\fR, \fB\-\-verbose\fR
Increase output verbosity
.TP
\fB\-d\fR, \fB\-\-debug\fR
Debug (vastly increases output verbosity)
.TP
\fB\-c\fR, \fB\-\-cache\fR
Use a cache to help find hosts w/o IP address
.TP
\fB\-\-cache\-time\fR=\fICACHE_TIME\fR
How long an ip\->name mapping is valid
.TP
\fB\-\-neg\-cache\-time\fR=\fINEG_CACHE_TIME\fR
How long an ip\->name mapping is valid
.TP
\fB\-\-file_cmd\fR=\fIFILE_CMD\fR
The location of the 'file' command
.TP
\fB\-\-idle\fR=\fIIDLE\fR
How long to wait for input
.TP
\fB\-\-logger\fR=\fILOGGER\fR
How to log
.TP
\fB\-\-max_blksize\fR=\fIMAX_BLKSIZE\fR
The maximum block size to permit
.TP
\fB\-\-port\fR=\fIPORT\fR
The port to bind to for new requests
.TP
\fB\-\-prefix\fR=\fIPREFIX\fR
Where files are stored by default [/var/lib/tftpboot]
.TP
\fB\-\-timeout\fR=\fITIMEOUT\fR
How long to wait for a given request
.TP
\fB\-\-user\fR=\fIUSER\fR
The user to run as [nobody]
.TP
\fB\-B\fR MAX_BLKSIZE
alias for \fB\-\-max\-blksize\fR, for in.tftpd compatibility
